Skip to main content
POST
/
work_assignments
/
bulk
/
update
Bulk update work assignments
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_entity_id": "<id>",
  "work_assignments": {
    "include": "all"
  }
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
business_entity_id
string
required

The business entity whose work assignments to update.

work_assignments
object
required

The selection criteria.

work_assignments.include must be either the string "all", or an object containing one or more of ids (string array), payee_type (employee or contractor), pay_schedule_id, archived (boolean), payee_names (string).

work_assignments.exclude (optional) is an object containing one or more of the same keys.

Response

202

Accepted